[arch-commits] Commit in idris/trunk (PKGBUILD megaparsec-8.patch)
Felix Yan
felixonmars at archlinux.org
Mon Mar 23 00:26:14 UTC 2020
Date: Monday, March 23, 2020 @ 00:26:13
Author: felixonmars
Revision: 603639
upgpkg: idris 1.3.2-105: patched for megaparsec 8
Added:
idris/trunk/megaparsec-8.patch
Modified:
idris/trunk/PKGBUILD
--------------------+
PKGBUILD | 14 ++++++++------
megaparsec-8.patch | 41 +++++++++++++++++++++++++++++++++++++++++
2 files changed, 49 insertions(+), 6 deletions(-)
Modified: PKGBUILD
===================================================================
--- PKGBUILD 2020-03-22 23:58:57 UTC (rev 603638)
+++ PKGBUILD 2020-03-23 00:26:13 UTC (rev 603639)
@@ -3,7 +3,7 @@
pkgname=idris
pkgver=1.3.2
-pkgrel=104
+pkgrel=105
pkgdesc="Functional Programming Language with Dependent Types"
url="https://www.idris-lang.org/"
license=("BSD")
@@ -11,7 +11,7 @@
depends=('ghc-libs' 'haskell-aeson' 'haskell-annotated-wl-pprint' 'haskell-ansi-terminal'
'haskell-ansi-wl-pprint' 'haskell-async' 'haskell-base64-bytestring' 'haskell-blaze-html'
'haskell-blaze-markup' 'haskell-cheapskate' 'haskell-code-page' 'haskell-fingertree'
- 'haskell-fsnotify' 'haskell-ieee754' 'haskell-libffi' 'haskell-megaparsec7'
+ 'haskell-fsnotify' 'haskell-ieee754' 'haskell-libffi' 'haskell-megaparsec'
'haskell-network' 'haskell-optparse-applicative' 'haskell-parser-combinators'
'haskell-regex-tdfa' 'haskell-safe' 'haskell-split' 'haskell-terminal-size'
'haskell-uniplate' 'haskell-unordered-containers' 'haskell-utf8-string' 'haskell-vector'
@@ -19,17 +19,19 @@
makedepends=('ghc' 'haskell-tagged' 'haskell-tasty' 'haskell-tasty-golden' 'haskell-tasty-rerun'
'nodejs')
source=("$pkgname-$pkgver.tar.gz::https://github.com/idris-lang/Idris-dev/archive/v$pkgver.tar.gz"
- ghc-8.8.patch)
+ ghc-8.8.patch megaparsec-8.patch)
sha512sums=('0cd2ecb38ae1d535a38f6f4fbe39ce6d5d4ff496b97214fb24968e9c5b726c824dc79528d00e89d800563b20d4c8b2d47f0c6613433d1380802a2bd10d0816f3'
- 'f5e9d138c167ff12c129b732886a62a8723b7a312fb47ac175aabf089e2c8919719fdc57da83152160067b70c130adfee306f32d1b0ed2d1e56420b31b32b465')
+ 'f5e9d138c167ff12c129b732886a62a8723b7a312fb47ac175aabf089e2c8919719fdc57da83152160067b70c130adfee306f32d1b0ed2d1e56420b31b32b465'
+ '09b4bc4840589e92044cc94923500256bb5771fdd11fb801e5984cbdc2e686460156441f3156edc25676ca15a638eab7a30001d1f5bf01c27a5d5e5e8622a6b0')
prepare() {
cd Idris-dev-$pkgver
patch -p1 -i ../ghc-8.8.patch
+ patch -p1 -i ../megaparsec-8.patch
sed -i '1ioverride IDRIS := env LD_PRELOAD=$(shell ls ../../dist/build/libHSidris-*-ghc*.so) $(IDRIS)' \
libs/*/Makefile
- sed -i -e 's/< *0.9/<1/' -e 's/< *0.15/<1/' -e 's/< *2.9/<4.9/' idris.cabal
+ sed -i -e 's/< *0.9/<1/' -e 's/< *8/<9/' -e 's/< *2.9/<4.9/' idris.cabal
}
build() {
@@ -49,7 +51,7 @@
check() {
cd Idris-dev-$pkgver
# TODO: figure out the tests
- PATH="$PWD/dist/build:$PATH" LD_LIBRARY_PATH="$PWD/dist/build" runhaskell Setup test || warning "Tests failed"
+ PATH="$PWD/dist/build:$PWD/dist/build/idris:$PATH" LD_LIBRARY_PATH="$PWD/dist/build" IDRIS_LIBRARY_PATH="$PWD/libs" runhaskell Setup test || warning "Tests failed"
}
package() {
Added: megaparsec-8.patch
===================================================================
--- megaparsec-8.patch (rev 0)
+++ megaparsec-8.patch 2020-03-23 00:26:13 UTC (rev 603639)
@@ -0,0 +1,41 @@
+From d7a669bf95303aafdcd3d9f7df7a7d67658f33de Mon Sep 17 00:00:00 2001
+From: iko <ilyakooo0 at gmail.com>
+Date: Thu, 12 Mar 2020 22:04:17 +0300
+Subject: [PATCH 01/18] Migrated to lts-15.3
+
+---
+ idris.cabal | 13 ++++++-------
+ src/Idris/Parser/Stack.hs | 7 ++++---
+ stack-alt.yaml | 25 -------------------------
+ stack.yaml | 13 ++-----------
+ 4 files changed, 12 insertions(+), 46 deletions(-)
+ delete mode 100644 stack-alt.yaml
+
+diff --git a/src/Idris/Parser/Stack.hs b/src/Idris/Parser/Stack.hs
+index c5dd38ec7..6adb192dd 100644
+--- a/src/Idris/Parser/Stack.hs
++++ b/src/Idris/Parser/Stack.hs
+@@ -77,11 +77,12 @@ parseErrorOffset = P.errorOffset . parseError
+ instance Message ParseError where
+ messageExtent err = sourcePositionFC pos
+ where
+- (pos, _) = P.reachOffsetNoLine (parseErrorOffset err) (parseErrorPosState err)
++ P.PosState {P.pstateSourcePos = pos} =
++ P.reachOffsetNoLine (parseErrorOffset err) (parseErrorPosState err)
+ messageText = PP.text . init . P.parseErrorTextPretty . parseError
+ messageSource err = Just sline
+ where
+- (_, sline, _) = P.reachOffset (parseErrorOffset err) (parseErrorPosState err)
++ (sline, _) = P.reachOffset (parseErrorOffset err) (parseErrorPosState err)
+
+ -- | A fully formatted parse error, with caret and bar, etc.
+ prettyError :: ParseError -> String
+@@ -89,7 +90,7 @@ prettyError = P.errorBundlePretty . unParseError
+
+ {- * Mark and restore -}
+
+-type Mark = P.State String
++type Mark = P.State String Void
+
+ -- | Retrieve the parser state so we can restart from this point later.
+ mark :: Parsing m => m Mark
More information about the arch-commits
mailing list